local PATH_COMICS_24_ON_SHOWN	    = 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_24_ON_WIN	        = 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_24_GEAR_1	        = 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_24_GEAR_2	        = 'data/Scenes/Comics/HelpersComicsReplic.lua'

local PATH_MINIGAME_24_TAGS         = 'data/Scenes/Minigames/24_metal_box_15.lua'

local function CheckWinConditions()
	if not play_field:GetLevelScreen():HasTaskObjects() and
	   play_field:GetObject('Shesterenka1'):GetMaxOpacity() == 1 and 
	   play_field:GetObject('Shesterenka2'):GetMaxOpacity() == 1 and
	   IsMiniGamePlay(PATH_MINIGAME_24_TAGS) then
		
		game_state.chain_on_win.Play()
	end
end

function OnSceneLoad(screen)
    LoadData(screen)
    DefaultOnSceneLoad(screen:GetName())

    local pf = play_field
    local level = pf:GetLevelScreen()
	---------------------------------------------------------------------------------------------
	level:AddTaskSafe(CreateTask('SAFE', '', 'minigame'))
	AddRandomTasks(14,
               CreateTask('WEIGHT', '', 'weight'),               
               CreateTask('BINOCULAR', '', 'binocular'),
               CreateTask('BOOTS', '', 'boots'),
               CreateTask('CAN', '', 'can'),
               CreateTask('COMPASS', '', 'compass'),
               CreateTask('FLASK', 'FLASKS', 'flask', 'flask_2'),
               CreateTask('FUNNEL', '', 'funnel'),
               CreateTask('HAND_GRENADE', '', 'hand_grenade'),
               CreateTask('HOLSTER', '', 'holster'),
               CreateTask('IRON', '', 'iron'),
               CreateTask('MEDAL', '', 'medal'),
               CreateTask('MEDIKIT', '', 'medikit'),
               CreateTask('PICTURE', '', 'picture'),
               CreateTask('RAINCOAT', '', 'raincoat'),
               CreateTask('STEW_POT', '', 'stew'),
               CreateTask('WALKIE_TALKIE', '', 'walkie_talkie'),
               
               CreateTask('ARROW', '', 'arrow'),
               CreateTask('CLOCK', '', 'clock'),
               CreateTask('ENVELOPE', '', 'envelope')
--[[               
               CreateTask('NUMBER_3', '', '3'),
               CreateTask('NAIL', '', 'nail')
]]
	)
	---------------------------------------------------------------------------------------------
	pf:GetObject('Boy_Big'):GetAnimation():SetColor('0xFFFFFFFF')
	pf:GetObject('Boy_Big'):SetOpacity(0)
	game_state.chain_on_win = RegisterComicsEx(function()
												local comics = LoadComics(PATH_COMICS_24_ON_WIN, 'COMICS_24_ON_WIN')
												if comics then
												    pf:GetObject('Boy_Big'):ChangeOpacity(0, 1, 0.2)
												    CreateOneReplicBoys('COMICS_24_ON_WIN', 1)
												end
											  end )
	game_state.chain_on_win.OnHidden = function()
	                                        pf:GetObject('Boy_Big'):ChangeOpacity(1, 0, 0.2) 
											OnWinLevel()
									   end
    ---------------------------------------------------------------------------------------------
	zone_bag = CreateZoomZone('close_zone_bag',
                               'pixel_bag',
                               'ZoomBagBg',
                               'door_zoom',							   
							   'Shesterenka1',
							   'Shesterenka2',
							   'door_zoom',
							   'bag_zoom',
							   'L_Shesterenka',
							   'pixel_gear',
							   'ZoomBagBg',
							   
							   '3',
							   'nail'
							   )
	pf:GetObject('Shesterenka1'):SetMaxOpacity(0)
	pf:GetObject('Shesterenka2'):SetMaxOpacity(0)
	pf:GetObject('gear_layer_1'):SetOpacity(0)
	pf:GetObject('gear_layer_2'):SetOpacity(0)
	---------------------------------------------------------------------------------------------	
	zone_box = CreateZoomZone('close_zone_box',
                               'pixel_box',
                               'ZoomBoxBg',
                               '24_airplane_2',
                               '24_airplane_3',
							   'L_Shesterenka2',
							   'gear1',
							   
							   'arrow',
							   'clock',
							   'envelope',
							   'flask_2'
							   )
			
	game_state.gear_sound = MakeSoundEntity('24_gear')
	local function apply_gear(save, target, index, obj)
		game_state.gear_sound:StopSound()
		game_state.gear_sound:Play(false)
		target:SetMaxOpacity(1)
		if not save then
		    target:SetOpacity(1)				    
        end
        obj:SetOpacity(1)
		local door = pf:GetObject('otkr')		
		local anim = door:GetAnimation()
		AddGameState('GearInserted', tostring(index))		
		if HasGameState('GearInserted', '1') and HasGameState('GearInserted', '2') then
			door:SetOpacity(1)
			DisableZoomZoneRequest(zone_bag)
			if save then
				CheckWinConditions()
				anim:SetFrame(anim:GetFrames() - 1)
			else
				anim:Play()
				TimerDo(pf:GetTimer(), GetAnimationLength(anim), CheckWinConditions)
				MakeSoundEntity('24_move_off_door'):Play(false)
			end
		end
	end
	local anim = pf:GetObject('otkr'):GetAnimation()
	anim:SetMode(HGEANIM_FWD + HGEANIM_NOLOOP)
	anim:Stop()
	pf:GetObject('otkr'):SetOpacity(0)
	---------------------------------------------------------------------------------------------	
	pf:GetObject('pixel_gear'):SetMaxOpacity(0.01)
	---------------------------------------------------------------------------------------------	
	local photo_gear2 = nil
	local photo_action_gear_1 = function()                                
								end
    local apply_action_gear_1 = function(save, target)				
									apply_gear(save, play_field:GetObject('Shesterenka1'), 1, pf:GetObject('gear_layer_1'))																		
									if not HasGameState('GearInserted', '2') and photo_gear2 then
										ActivatePhotoZone(photo_gear2, 'pixel_gear')
									end
								 end
    local photo_gear1 = CreatePhotoZone('gear1', 
										'GEAR_1', 
										'gear_1_photo', 
										photo_action_gear_1,
										'pixel_gear',
										apply_action_gear_1)
	---------------------------------------------------------------------------------------------	
	local photo_action_gear_2 = function()                                
								end
    local apply_action_gear_2 = function(save)				
									apply_gear(save, play_field:GetObject('Shesterenka2'), 2, pf:GetObject('gear_layer_2'))
									if not HasGameState('GearInserted', '1') and photo_gear1 then
										ActivatePhotoZone(photo_gear1, 'pixel_gear')
									end
								 end
    photo_gear2 = CreatePhotoZone('gear2', 
										'GEAR_2', 
										'gear_2_photo', 
										photo_action_gear_2,
										'pixel_gear',
										apply_action_gear_2)
    --------------------------------------------------------------------------------------------    
    if not HasGameState('GearInserted', '1') then
        SetApplyActionPhotoZone(photo_gear1, 'pixel_gear', apply_action_gear_1)
    end
    if not HasGameState('GearInserted', '2') then
	    SetApplyActionPhotoZone(photo_gear2, 'pixel_gear', apply_action_gear_2)
    end
	--------------------------------------------------------------------------------------------    
	local clickOnDoor = function(save)
		local obj = pf:GetObject('door_zoom')
        obj:SetMaxOpacity(0)
		local obj_on_scene = pf:GetObject('Door2')
		if save then			
			obj:SetOpacity(0)
			obj_on_scene:SetOpacity(0)
		else
			MakeSoundEntity('24_remove_cover'):Play(false)
			obj:ChangeOpacity(1, 0, 0.3)
			obj_on_scene:ChangeOpacity(1, 0, 0.3)
		end
    end
	
    local clickOnBag = function(save)
		local obj = pf:GetObject('bag_zoom')
		obj:SetMaxOpacity(0)
		local obj_on_scene = pf:GetObject('bag')
        RegisterActiveObject('door_zoom', clickOnDoor, false, GetCursorArms())
		if save then			
			obj:SetOpacity(0)
			obj_on_scene:SetOpacity(0)
		else
			MakeSoundEntity('24_remove_bag'):Play(false)
			obj:ChangeOpacity(1, 0, 0.3)
			obj_on_scene:ChangeOpacity(1, 0, 0.3)
		end
    end
    RegisterActiveObject('bag_zoom', clickOnBag, false, GetCursorArms())
	--------------------------------------------------------------------------------------------    
	game_state.remove_cartridges_sound = MakeSoundEntity('24_remove_cartridges')
	local clickOnBox2 = function(save)
		local obj = pf:GetObject('24_airplane_3')
        obj:SetMaxOpacity(0)
		
		if save then			
			obj:SetOpacity(0)			
		else
			game_state.remove_cartridges_sound:StopSound()
			game_state.remove_cartridges_sound:Play(false)
			obj:ChangeOpacity(1, 0, 0.3)
		end
    end
	
    local clickOnBox1 = function(save)
		local obj = pf:GetObject('24_airplane_2')
		obj:SetMaxOpacity(0)
        RegisterActiveObject('24_airplane_3', clickOnBox2, false, GetCursorArms())
		if save then			
			obj:SetOpacity(0)
		else
			game_state.remove_cartridges_sound:StopSound()
			game_state.remove_cartridges_sound:Play(false)
			obj:ChangeOpacity(1, 0, 0.3)
		end
    end
    RegisterActiveObject('24_airplane_2', clickOnBox1, false, GetCursorArms())
	---------------------------------------------------------------------------------------------
	game_state.zone_coin = CreateInfoItemZone( pf:GetObject('coin_take'), 'COIN', GetString('INFO_ITEM_24_COIN') )
    game_state.zone_coin.OnHidden = function()
    end
    ---------------------------------------------------------------------------------------------
	game_state.chain_on_shown = RegisterComicsEx(function()
                                                    local comics = LoadComics(PATH_COMICS_24_ON_SHOWN, 'COMICS_24_ON_SHOWN')
                                                    if comics then
                                                        pf:GetObject('Boy_Big'):ChangeOpacity(0, 1, 0.2)
                                                        CreateOneReplicBoys('COMICS_24_ON_SHOWN', 1)
                                                    end
											    end )
    game_state.chain_on_shown.OnHidden = function()
        pf:GetObject('Boy_Big'):ChangeOpacity(1, 0, 0.2)
    end
	game_state.chain_gear_1 = RegisterComicsEx(function()
												LoadComicsWithOneReplicHeroes(PATH_COMICS_24_GEAR_1, 'COMICS_24_GEAR')
											  end )
	game_state.chain_gear_2 = RegisterComicsEx(function()
												LoadComicsWithOneReplicHeroes(PATH_COMICS_24_GEAR_2, 'COMICS_24_GEAR')
											  end )
	SetHintComicsPhotoZoneEx(photo_gear1, game_state.chain_gear_1)
	SetHintComicsPhotoZoneEx(photo_gear2, game_state.chain_gear_2)
	---------------------------------------------------------------------------------------------
	RegisterMiniGame(PATH_MINIGAME_24_TAGS, function()
                                                LoadMiniGames(PATH_MINIGAME_24_TAGS)
                                            end )
    ---------------------------------------------------------------------------------------------
end

function OnSceneFree()
    FreeData()
end

function OnScreenShown(fade_out)
	if fade_out then
		game_state.chain_on_shown.Play()
	end
end

function OnHiddenComics()
end

function OnMinigameCompleted(mini_game)
    game_state.zone_coin.Play()
end

function OnUpdate(dt)
    DefaultOnUpdate(dt)
end

function OnLose()
end

function OnExit()
end

function OnButtonMouseEnter(title)
end

function OnButtonMouseLeave(title)
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    obj_name = object:GetName()
    local pf = play_field
    local is_wrong_click = true

    is_wrong_click = DefaultOnObjectMouseDown(object)
    
    return is_wrong_click
end

function OnObjectMouseUp(object)
end

function OnObjectRightMouseDown(object)
end

function OnObjectRightMouseUp(object)
end

function OnObjectFound(object)
    DefaultOnObjectFound(object)
    
    if object:GetName() == 'minigame' then
        PlayRegisterMiniGame(PATH_MINIGAME_24_TAGS)
    end
end

function OnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
    DefaultOnObjectReachPanel(object)
end

function OnPhotographing()
	DefaultOnPhotographing()
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
end

function OnLostFocus()
end

function OnGainFocus()
end

function OnWin()
    CheckWinConditions()
end

-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/24_airplane_/Items/bag.png',0,0,71,150,1,0)
	anim:SetHotSpot(35,75)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bag',anim,897,339,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_airplane_/Items/binocular.png',0,0,115,93,1,0)
	anim:SetHotSpot(57,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('binocular',anim,424,606,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_airplane_/Items/boots.png',0,0,91,77,1,0)
	anim:SetHotSpot(45,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('boots',anim,261,609,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_airplane_/Items/can.png',0,0,49,77,1,0)
	anim:SetHotSpot(24,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('can',anim,527,378,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_airplane_/Items/compass.png',0,0,51,33,1,0)
	anim:SetHotSpot(25,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('compass',anim,580,620,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_airplane_/Items/flask.png',0,0,33,50,1,0)
	anim:SetHotSpot(16,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('flask',anim,335,425,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_airplane_/Items/funnel.png',0,0,40,37,1,0)
	anim:SetHotSpot(20,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('funnel',anim,690,56,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_airplane_/Items/hand_grenade.png',0,0,27,49,1,0)
	anim:SetHotSpot(13,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hand_grenade',anim,1000,368,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_airplane_/Items/holster.png',0,0,135,225,1,0)
	anim:SetHotSpot(67,112)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('holster',anim,840,677,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_airplane_/Items/iron.png',0,0,53,57,1,0)
	anim:SetHotSpot(26,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('iron',anim,984,468,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_airplane_/Items/medal.png',0,0,70,67,1,0)
	anim:SetHotSpot(35,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('medal',anim,736,600,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_airplane_/Items/medikit.png',0,0,68,63,1,0)
	anim:SetHotSpot(34,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('medikit',anim,432,412,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_airplane_/Items/picture.png',0,0,56,54,1,0)
	anim:SetHotSpot(28,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('picture',anim,305,133,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_airplane_/Items/raincoat.png',0,0,85,198,1,0)
	anim:SetHotSpot(42,99)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('raincoat',anim,385,248,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_airplane_/Items/stew.png',0,0,108,75,1,0)
	anim:SetHotSpot(54,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('stew',anim,399,508,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_airplane_/Items/walkie_talkie.png',0,0,23,67,1,0)
	anim:SetHotSpot(11,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('walkie_talkie',anim,327,348,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_airplane_/Items/weight.png',0,0,33,47,1,0)
	anim:SetHotSpot(16,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('weight',anim,586,379,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_airplane_/Layers/bg.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg',anim,512,384,70,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_airplane_/Layers/1-lock.png',0,0,59,115,1,0)
	anim:SetHotSpot(29,57)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('1-lock',anim,381,709,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_airplane_/Layers/3-lock.png',0,0,24,22,1,0)
	anim:SetHotSpot(12,11)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('3-lock',anim,917,412,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_airplane_/Layers/8-lock.png',0,0,41,55,1,0)
	anim:SetHotSpot(20,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('8-lock',anim,413,427,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_airplane_/Layers/14-lock.png',0,0,143,226,1,0)
	anim:SetHotSpot(71,113)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('14-lock',anim,816,656,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_airplane_/Layers/Door1.png',0,0,89,94,1,0)
	anim:SetHotSpot(44,47)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Door1',anim,891,381,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_airplane_/Layers/Door2.png',0,0,89,94,1,0)
	anim:SetHotSpot(44,47)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Door2',anim,894,373,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_bag',anim,895,375,125,0,8,8)
	local anim = CreateAnimation('data/Texture/Scenes/24_airplane_/ZoomDoor/Layers/Shesterenka1.png',0,0,138,107,1,0)
	anim:SetHotSpot(69,53)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('Shesterenka1',anim,574,397,520,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_airplane_/ZoomDoor/Layers/Shesterenka2.png',0,0,132,138,1,0)
	anim:SetHotSpot(66,69)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('Shesterenka2',anim,620,317,510,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_airplane_/ZoomDoor/Layers/Door1.png',0,0,182,242,1,0)
	anim:SetHotSpot(91,121)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('door_zoom',anim,614,378,570,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_airplane_/ZoomDoor/Layers/ZoomBagBg.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('ZoomBagBg',anim,512,384,500,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_airplane_/Photo/gear_1_photo.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('gear_1_photo',anim,91,121,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_airplane_/Photo/gear_2_photo.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('gear_2_photo',anim,89,577,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_airplane_/ZoomBox/Layers/ZoomBoxBg.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('ZoomBoxBg',anim,512,384,700,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_airplane_/ZoomBox/Layers/Shesterenka2.png',0,0,114,120,1,0)
	anim:SetHotSpot(57,60)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('gear1',anim,603,510,720,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_airplane_/ZoomBox/Layers/L_Shesterenka2.png',0,0,160,136,1,0)
	anim:SetHotSpot(80,68)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('L_Shesterenka2',anim,605,541,740,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_airplane_/ZoomBox/Layers/24_airplane_2.png',0,0,285,410,1,0)
	anim:SetHotSpot(142,205)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('24_airplane_2',anim,607,419,760,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_airplane_/ZoomBox/Layers/24_airplane_3.png',0,0,313,421,1,0)
	anim:SetHotSpot(156,210)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('24_airplane_3',anim,612,413,750,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_box',anim,540,298,100,0,8,10)
	local anim = CreateAnimation('data/Texture/Scenes/24_airplane_/Layers/gear_layer_1.png',0,0,40,36,1,0)
	anim:SetHotSpot(20,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('gear_layer_1',anim,883,395,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_airplane_/Layers/gear_layer_2.png',0,0,45,43,1,0)
	anim:SetHotSpot(22,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('gear_layer_2',anim,903,364,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_airplane_/ZoomDoor/Layers/L_Shesterenka.png',0,0,347,351,1,0)
	anim:SetHotSpot(173,175)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('L_Shesterenka',anim,606,369,560,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_airplane_/ZoomDoor/Layers/bag_zoom.png',0,0,266,446,1,0)
	anim:SetHotSpot(133,223)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('bag_zoom',anim,610,379,580,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_airplane_/Items/gear2.png',0,0,64,40,1,0)
	anim:SetHotSpot(32,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('gear2',anim,653,429,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_gear',anim,612,366,530,0,20,20)
	local anim = CreateAnimation('data/Texture/Scenes/24_airplane_/Animations/otkr.png',0,0,254,291,17,15)
	anim:SetHotSpot(127,145)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('otkr',anim,837,261,129,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_airplane_/ZoomBox/Items/arrow.png',0,0,43,19,1,0)
	anim:SetHotSpot(21,9)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('arrow',anim,216,245,720,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_airplane_/ZoomBox/Items/clock.png',0,0,89,86,1,0)
	anim:SetHotSpot(44,43)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('clock',anim,368,549,720,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_airplane_/ZoomBox/Items/envelope.png',0,0,88,53,1,0)
	anim:SetHotSpot(44,26)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('envelope',anim,402,299,720,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_airplane_/ZoomBox/Items/flask_2.png',0,0,112,69,1,0)
	anim:SetHotSpot(56,34)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('flask_2',anim,406,238,720,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_airplane_/ZoomDoor/Items/3.png',0,0,21,27,1,0)
	anim:SetHotSpot(10,13)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('3',anim,580,157,520,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_airplane_/ZoomDoor/Items/nail.png',0,0,68,50,1,0)
	anim:SetHotSpot(34,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('nail',anim,318,589,520,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_airplane_/Items/minigame.png',0,0,120,79,1,0)
	anim:SetHotSpot(60,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('minigame',anim,569,442,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/24_airplane_/Items/coin_take.png',0,0,150,146,1,0)
	anim:SetHotSpot(75,73)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('coin_take',anim,123,695,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Comics/Boy_Big.png',0,0,338,749,1,0)
	anim:SetHotSpot(169,374)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('Boy_Big',anim,766,397,900,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
